<?php
require_once('includes/load.php');
require_once('includes/database.php'); // Ini mengimpor definisi koneksi dan kelas MySqli_DB

$page_title = 'product';
page_require_level(3); // Memeriksa izin akses

// Membuat objek database
$db = new MySqli_DB();

// Membuat nama file untuk download
$filename = "data_export_" . date('Y-m-d') . ".csv";

// Set header untuk file CSV dan download
header('Content-Type: text/csv');
header('Content-Disposition: attachment; filename="' . $filename . '"');

// Membuka output untuk menulis data CSV
$output = fopen('php://output', 'w');

// Menulis baris header
fputcsv($output, array('ID', 'Part Number', 'Description', 'Color', 'Categories', 'Unit Price', 'Unit Measurements'));

// Mengambil data dari tabel "data"
$sql = "SELECT * FROM data";
$result = $db->query($sql);

// Menulis data baris ke dalam file CSV
while ($row = $db->fetch_assoc($result)) {
    fputcsv($output, $row);
}

// Tutup output
fclose($output);
?>
